
Infrastructure - Feature #6498

V2 Metacat MN and CN Support

2014-10-02 20:05 - Skye Roseboom

Status: Closed Start date: 2015-01-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Metacat MN support of DataONE V2 API and types.

Subtasks:

Task # 6733: Metacat MN index should keep the solr index for archived objects Rejected

Task # 6734: Implement the feature to support SID in MN and CN apis Closed

  Task # 6714: SID in the SystemMetadata in the create method Closed

  Task # 6715: The sid handling in the MN.getLogRecord Closed

  Task # 6741: PidFilter different behavior on MN.getLogRecord and CN.getLogRecord Closed

  Task # 6832: How do we check the SID validation in the CN.create method Closed

  Task # 6856: Fix MNresourceHandler to handle v2 API MNStorage.updateSystemMetadata() Closed

  Task # 6857: Metacat needs to support CNView interface Closed

Task # 6735: Metacat supports both v1 and v2 xml schema Closed

Task # 6858: Access control on MN.updateSystemMetadata and CN.updateSystemMetadata Closed

Task # 6859: Add the check to see if a user try to modify immutable fields by call cn a... Closed

Task # 6863: Check Metacat V1 API returns v1 object Closed

  Task # 6864: CN.getSystemMetadata on the V1 API returns a V2 object. Closed

  Task # 7038: MN v1.getLogRecords return an error Closed

Task # 7036: MN.updateSystemetadata calls CN.synchronize to update the system metadata ... Closed

Task # 7085: Add a rest service call to support cn.view. Closed

Task # 7088: Add v2 schema into metacat Closed

Task # 7089: Need to update systemmetadata table base on the new change Closed

Task # 7136: MN.getPackage and CN.getPackage Closed

Task # 7142: Add code to read and store new system metadata fields - media type, media ... Closed

Task # 7257: Add v2 service to the mn node capability Closed

Task # 7274: Make sure the CN utilities methods which change the system metadata only b... Closed

Task # 7275: Restrictions on MN.update Closed

Task # 7360: Modify the MN.systeMetadataChanged Method Closed

  Task # 7355: The mn.systemMetadataChanged should return immediately Closed

  Task # 7361: Distinguish v1.MN.systemMetadataChanged and v2.MN.systemMetadataChanged Closed

Task # 7356: The mn.updateSystemMetadata method should control the increase the serialV... Rejected

Task # 7366: Make sure MN.updateSystemMetadata and CN.updateSystemMetadata will NOT inc... Closed

Task # 7367: CN.updateSystemMetadata will ignore the serial version and replica list in... Closed

Task # 7368: Make sure that the setting of the new dateSysteMetaModified happens on MN.... Closed

Task # 7369: Comparing the dateSysmetaModified to make sure client has the current copy... Closed

Task # 7380: Check the v1/v2 api methods, which alter the system metadata, how to handl... Closed

  Task # 7381: reject to use the v1.cn api calling an object which has a v2 authoritative... Closed

  Task # 7382: Add the code to set the modification date of the system metadata for v1.api Closed

  Task # 7395: Reject those methods on v2 API when clients apply them on an object whose ... Closed

Task # 7491: The performance issue on MN.getLogRecord Closed
History

#1 - 2014-10-02 20:06 - Skye Roseboom

- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

- Due date set to 2014-12-01

#2 - 2015-02-19 19:48 - Jing Tao

- Subject changed from V2 Metacat MN Support to V2 Metacat MN and CN Support

#3 - 2015-02-19 19:54 - Jing Tao

- Assignee set to Jing Tao

#4 - 2015-07-01 19:46 - Dave Vieglais

- Category set to Metacat

#5 - 2015-07-16 22:54 - Jing Tao

- % Done changed from 0 to 30

- Status changed from New to In Progress

#6 - 2015-11-24 22:35 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
